## uglifyjs 1.0.6

=== debian/changelog ===
uglifyjs (1.0.6-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: --inline-script

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 19 Jul 2011 18:05:58 -0300

uglifyjs (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Add myself as uploader.
  * Fix support "require 'uglify-js'":
    + Adjust install paths.
    + Add symlinks.
    + Simplify patch.
  * Refresh patch w/ shortening options --no-index --no-timestamps -pab.
  * Add DEP3 header to patch.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jul 2011 23:26:55 +0200

uglifyjs (1.0.3-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 29 Jun 2011 20:04:08 -0300

uglifyjs (1.0.2-1) UNRELEASED; urgency=low

  * New Upstream Release
  * Fixed description-synopsis-starts-with-article
  * Updating fix_lib_path.patch

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 29 May 2011 22:05:00 -0300

uglifyjs (1.0.1-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 24 Apr 2011 17:22:43 -0300

uglifyjs (1.0-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entries (--ascii and --reserved-names)
    + Fixed options params
    + Added description for all options
  * Updating fix_lib_path.patch

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 16 Mar 2011 11:46:36 -0300

uglifyjs (0.90-1) unstable; urgency=low

  * Initial Release (Closes: #616700).

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 05 Mar 2011 15:41:54 -0300
