=== debian/control ===
Source: uglifyjs
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: https://github.com/mishoo/UglifyJS
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/uglifyjs.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/uglifyjs.git

Package: libnode-uglify
Architecture: all
Depends: ${misc:Depends}, nodejs
Provides: uglifyjs
Description: JavaScript parser/compressor/beautifier
 This package implements a general-purpose JavaScript
 parser/compressor/beautifier toolkit.
