## uglifyjs 1.1.1

=== debian/changelog ===
uglifyjs (1.1.1-2) unstable; urgency=high

  * Fixed old references to libnode-uglify (Closes: #649525)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 21 Nov 2011 20:34:19 -0200

uglifyjs (1.1.1-1) unstable; urgency=low

  * New Upstream Release.
  * Renamed the binary package from 'libnode-uglify' to 'node-uglify'
    to follow the Debian JavaScript Policy.

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 21 Nov 2011 01:23:17 -0200

uglifyjs (1.1-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: --lift-vars

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 27 Sep 2011 12:53:55 -0300
