=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=mishoo&project=uglifyjs .*/v(\d.*).tar.gz
