## uglifyjs 1.2.3

=== debian/changelog ===
uglifyjs (1.2.3-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry:  -nmf or --no-mangle-functions

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 24 Dec 2011 17:02:57 -0200
