=== debian/control ===
--- 
+++ 
@@ -10,10 +10,18 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/uglifyjs.git
 Vcs-Git: git://git.debian.org/git/pkg-javascript/uglifyjs.git
 
-Package: libnode-uglify
+Package: node-uglify
 Architecture: all
 Depends: ${misc:Depends}, nodejs
 Provides: uglifyjs
+Replaces: libnode-uglify (<< 1.1.1-2~)
+Conflicts: libnode-uglify (<< 1.1.1-2~)
 Description: JavaScript parser/compressor/beautifier
  This package implements a general-purpose JavaScript
  parser/compressor/beautifier toolkit.
+
+Package: libnode-uglify
+Architecture: all
+Depends: node-uglify,${misc:Depends}
+Description: transitional dummy package
+ Transitional dummy package for node-uglify
