=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# executable-not-elf-or-script
	chmod 644 debian/node-uglify/usr/lib/nodejs/uglify-js/process.js
