## uglifyjs 1.2.6

=== debian/changelog ===
uglifyjs (1.2.6-3) unstable; urgency=low

  * Uglify should depend on new nodejs package

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 01 Aug 2012 10:16:03 -0300

uglifyjs (1.2.6-2) unstable; urgency=low

  * Node conflict; For more info, see:
    http://lists.debian.org/debian-devel-announce/2012/07/msg00002.html

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 31 Jul 2012 18:31:20 -0300

uglifyjs (1.2.6-1) unstable; urgency=low

  * New Upstream Release
  * Improving manpage
    + Added new entry: -c or --consolidate-primitive-values
  * Updated Standards-Version to 3.9.3
    + Machine-readable debian/copyright version 1.0

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 25 Mar 2012 19:32:00 -0300

uglifyjs (1.2.5-1) unstable; urgency=low

  * New Upstream Release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 29 Feb 2012 14:21:47 -0300
