=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/mishoo/UglifyJS
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/uglifyjs.git
 Vcs-Git: git://git.debian.org/git/pkg-javascript/uglifyjs.git
 
 Package: node-uglify
 Architecture: all
-Depends: ${misc:Depends}, nodejs
+Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3)
 Provides: uglifyjs
 Replaces: libnode-uglify (<< 1.1.1-2~)
 Conflicts: libnode-uglify (<< 1.1.1-2~)
