## uglifyjs 1.3.4

=== debian/changelog ===
uglifyjs (1.3.4-1) unstable; urgency=low

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Fix adapt path in binary too in fix_lib_path patch.
  * Consistently adjust only actually used files in node_conflict patch,
    as already partly done (accidentally?) in 1.3.3-1.
  * Refresh patches with shortening quilt options.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied in stable, and oldstable no longer supported.
    + Build-depend on dh-buildinfo, to improve ability to debug
      packaging independent from central Debian resources.
    + Build-depend on devscripts, to enable CDBS copyright checking.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Improve slightly unsetting executable bit: use symbolic format, and
    improve comment.
  * Update copyright file:
    + Use recommended License shortname BSD-2-clause.
    + Rewrap License paragraph at 72 chars with minimal indentation.
    + Add Upstream-Contact and Source fields.
    + Fix add additional copyright holder (same license), thanks to CDBS
      copyright check.
  * Drop obsolete binary package libnode-uglify (and stop
    providing/replacing as well).
  * Update watch file to directly use github.com URL (not
    githubredir.debian.net).
  * Switch packaging from short-form dh to CDBS.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Dec 2012 22:59:07 +0100

uglifyjs (1.3.3-1) experimental; urgency=low

  * Imported Upstream version 1.3.3

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 29 Sep 2012 15:06:47 -0300
