=== debian/control ===
Source: uglifyjs
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo
Standards-Version: 3.9.3
Homepage: https://github.com/mishoo/UglifyJS
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/uglifyjs.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/uglifyjs.git

Package: node-uglify
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3)
Provides: uglifyjs
Description: JavaScript parser/compressor/beautifier
 This package implements a general-purpose JavaScript
 parser/compressor/beautifier toolkit.
