=== debian/watch ===
version=3
https://github.com/mishoo/uglifyjs/tags .*/archive/v?(\d[\d\.]+).tar.gz
