## uglifyjs 1.3.5

=== debian/changelog ===
uglifyjs (1.3.5-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Bump standards-version to 3.9.5.
  * Update copyright file: Add alternate git URL.
  * Fix drop upstream parts of git-ignore file.
  * Stop track md5sum of upstream tarball: Compare tarball against
    upstream git commits instead.
  * Relax to depend unversioned on nodejs: Only supported releases exist
    in Debian now.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Apr 2014 01:29:04 +0200
