=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  devscripts,
  debhelper,
  dh-buildinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://github.com/mishoo/UglifyJS
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/uglifyjs.git
 Vcs-Git: git://git.debian.org/git/pkg-javascript/uglifyjs.git
 
 Package: node-uglify
 Architecture: all
-Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3)
+Depends: ${misc:Depends}, nodejs
 Provides: uglifyjs
 Description: JavaScript parser/compressor/beautifier
  This package implements a general-purpose JavaScript
