=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 DEB_UPSTREAM_URL = https://github.com/mishoo/uglifyjs/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 3edde521456d85da7c3787bbff68aea3
 
 # Unset executable bit on library file
 binary-fixup/node-uglifyjs::
