## uglifyjs 2.4.15

=== debian/changelog ===
uglifyjs (2.4.15-5) unstable; urgency=high

  * Add patch from upstream to avoid negating non-boolean AST_Binary.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Aug 2015 11:09:01 +0200

uglifyjs (2.4.15-4) unstable; urgency=medium

  * Fix code path.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 May 2015 20:21:11 +0200

uglifyjs (2.4.15-3) unstable; urgency=medium

  * Drop patch 2001, and instead install all code in subdirs referenced
    by package.json.
    Unfuzz patch 2002.
    Thanks to Jérémy Lal (see bug#784439).
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 11:14:06 +0200

uglifyjs (2.4.15-2) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * Use canonical URL in Vcs-Git field.

  [ Jonas Smedegaard ]
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Extend patch 2001 to cover hardcoded path to package.json, and adapt
    its install routine.
    Closes: bug#784439. Thanks to Pau Garcia i Quiles.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 01:57:46 +0200

uglifyjs (2.4.15-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release(s).

  * Fix use canonical URL in Vcs-Git.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Unfuzz patch 1001.
  * Fix use plain ASCII dash in long description.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 15:14:13 +0200

uglifyjs (2.4.13-2) experimental; urgency=medium

  * Recommend node-source-map and fix suggest node-uglify-to-browserify.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Jun 2014 19:38:02 +0200

uglifyjs (2.4.13-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Closes: bug#745687.

  [ Jonas Smedegaard ]
  * Update upstream homepage and source URLs.
  * Adapt patches to upstream rewritten code.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Drop additional author: no longer applies.
    + Add alternate git source URL.
    + Explicitly cover patches (separately from packaging generally),
      adding Jérémy Lal and myself as copyright holders.
    + Add/clarify coverage for myself for packaging generally.
    + Relicense packaging (generally, excluding patches) as GPL-3+.
  * Have git-import-orig suppress upstream .gitignore file.
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions.
  * Stop track md5sum of upstream tarball (compare against upstream git
    instead).
  * Update patches:
    + Add patch 1001 to relax dependency om source-map: Breaks
      dependency loop.
      See bug#745687. Thanks to Jérémy Lal.
    + Reorder (and unfuzz) patches by likelihood of upstream adoption.
      Rename to include reference number reflecting new order:
      2001_fix_lib_path.patch
      2002_node_conflict.patch
    + Add DEP3 header to patch 2002.
    + Fix testsuite part of patch 2001.
  * Rewrite short and long description based on upstream texts.
  * Simplify installation of script files and documentation files.
  * Install package.json.
  * Generate manpage from executable itself, using help2man.
  * Enable testsuite.
  * Update package relations:
    + Relax to depend unversioned on nodejs: All versions in any suite
      of Debian are sufficient.
    + (Build-)depend on node-optimist and recent node-async.
    + Suggest node-source-map and node-uglify-to-browserify.
    + Build-depend on help2man: Needed to generate man page.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 22:07:10 +0200
