=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for UglifyJS
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-uglify
libdir = /usr/lib/nodejs/uglify-js

DEB_UPSTREAM_URL = https://github.com/mishoo/UglifyJS2/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# Needed by upstream build process and (always) at runtime
deps = node-async (>= 0.2.6), node-optimist

CDBS_BUILD_DEPENDS +=, $(deps)
CDBS_DEPENDS_$(pkg) = nodejs, $(deps)
CDBS_RECOMMENDS_$(pkg) = node-source-map
CDBS_SUGGESTS_$(pkg) = node-uglify-to-browserify
CDBS_PROVIDES_$(pkg) = uglifyjs

# generate man page from --help output of script itself
CDBS_BUILD_DEPENDS +=, help2man
DEB_INSTALL_MANPAGES_$(pkg) = debian/uglifyjs.1
common-build-indep:: debian/stamp-build
debian/stamp-build:
	NODE_PATH=lib help2man --no-info bin/uglifyjs > debian/uglifyjs.1
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),\
		,\
		NODE_PATH=lib nodejs test/run-tests.js)
	touch $@
common-post-build-indep::
	rm -f lib/uglify-js
clean::
	rm -f lib/index.js lib/package.json
	rm -f debian/stamp-build debian/uglifyjs.1

DEB_DH_INSTALL_ARGS_$(pkg) = package.json bin lib tools $(libdir)
DEB_DH_LINK_$(pkg) = $(libdir)/bin/uglifyjs /usr/bin/uglifyjs
DEB_INSTALL_DOCS_ALL += README.md
