=== debian/watch ===
version=3
https://github.com/mishoo/UglifyJS2/tags .*/archive/v?(\d[\d\.]+).tar.gz
