## uglifyjs 2.7.5

=== debian/changelog ===
uglifyjs (2.7.5-2+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Add fix from Bastien Roucariès to give manpage --help output
    contents, thanks to Ben Finney. (Closes: #847642)

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Feb 2018 18:49:24 +0200

uglifyjs (2.7.5-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Add patch 1002 to avoid hardcoded timeout in tests.
    Closes: Bug#851318. Thanks to Santiago Vila.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Feb 2017 12:15:28 +0100

uglifyjs (2.7.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Build-depend on node-escodegen node-estraverse: Improves testsuite.
  * Don't fail testuite when targeting experimental.
  * Unfuzz and slightly update patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Dec 2016 12:42:57 +0100

uglifyjs (2.7.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#836722.

  [ Pirate Praveen ]
  * Drop patch: 020150722~905b601.patch (included upstream)
  * Refresh patches
  * Add licensecheck to build dependencies
  * Switch dependency from node-optimist to node-yargs
  * Bump debhelper compat to 9
  * Patch bin/extract-props.js to use nodejs command.
  * Add myself to uploaders

  [ Jonas medegaard ]
  * Fix build target: Touch only when fully completed.
  * Fix set executable bit for new script.
  * Stop build-depend on devscripts.

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Dec 2016 23:02:12 +0530

uglifyjs (2.4.15-6) unstable; urgency=medium

  * Add myself to Uploaders:
  * Add new package libjs-uglify providing UglifyJS in library form ready for
    use by web applications and other packages.
  * Bump Standards-Version to 3.9.8; no changes needed
  * Switch Vcs-Git field to use HTTPS

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 07 Aug 2016 20:14:13 -0300
