=== debian/control ===
--- 
+++ 
@@ -3,18 +3,23 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
+ Antonio Terceiro <terceiro@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
+ licensecheck,
  debhelper,
  dh-buildinfo,
  node-async (>= 0.2.6),
- node-optimist,
+ node-yargs,
+ mocha,
+ node-escodegen,
+ node-estraverse,
+ node-source-map,
  help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://lisperator.net/uglifyjs/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/uglifyjs.git
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/uglifyjs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/uglifyjs.git
 
 Package: node-uglify
 Architecture: all
@@ -46,3 +51,37 @@
  (except for the effective generation of the source-map, which is
  handled by the source-map module). Compared to alternatives, UglifyJS
  is pretty small.
+
+Package: libjs-uglify
+Architecture: all
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
+Suggests: ${cdbs:Suggests}
+Provides: ${cdbs:Provides}
+Description: UglifyJS in library form
+ UglifyJS is a JavaScript compressor/minifier written in JavaScript. It
+ also contains tools that allow one to automate working with JavaScript
+ code:
+ .
+  * A parser which produces an abstract syntax tree (AST) from
+    JavaScript code.
+  * A code generator which outputs JavaScript code from an AST, also
+    providing the option to get a source map.
+  * A compressor (optimizer) - it uses the transformer API to optimize
+    an AST into a smaller one.
+  * A mangler - reduce names of local variables to (usually)
+    single-letters.
+  * A scope analyzer, which is a tool that augments the AST with
+    information about where variables are defined/referenced etc.
+  * A tree walker - a simple API allowing you to do something on every
+    node in the AST.
+  * A tree transformer - another API intended to transform the tree.
+ .
+ All the above utilities and APIs are defined in ~6500 lines of code
+ (except for the effective generation of the source-map, which is
+ handled by the source-map module). Compared to alternatives, UglifyJS
+ is pretty small.
+ .
+ This package provides UglifyJS in library form for use by other Javascript
+ packages and web applications.
