=== debian/rules ===
--- 
+++ 
@@ -23,34 +23,56 @@
 pkg = node-uglify
 libdir = /usr/lib/nodejs/uglify-js
 
+jspkg = libjs-uglify
+jslibdir = /usr/share/javascript/uglifyjs
+
 DEB_UPSTREAM_URL = https://github.com/mishoo/UglifyJS2/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 
 # Needed by upstream build process and (always) at runtime
-deps = node-async (>= 0.2.6), node-optimist
+deps = node-async (>= 0.2.6), node-yargs
 
-CDBS_BUILD_DEPENDS +=, $(deps)
+# Needed by upstream testsuite
+bdeps-test = mocha, node-escodegen, node-estraverse
+
+CDBS_BUILD_DEPENDS +=, $(deps), $(bdeps-test)
 CDBS_DEPENDS_$(pkg) = nodejs, $(deps)
 CDBS_RECOMMENDS_$(pkg) = node-source-map
 CDBS_SUGGESTS_$(pkg) = node-uglify-to-browserify
 CDBS_PROVIDES_$(pkg) = uglifyjs
+
+# don't fail on experimental builds
+DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_SUITE))
 
 # generate man page from --help output of script itself
 CDBS_BUILD_DEPENDS +=, help2man
 DEB_INSTALL_MANPAGES_$(pkg) = debian/uglifyjs.1
 common-build-indep:: debian/stamp-build
 debian/stamp-build:
-	NODE_PATH=lib help2man --no-info bin/uglifyjs > debian/uglifyjs.1
+	NODE_PATH=lib help2man --no-info bin/uglifyjs | sed \
+	    -e 's/[[:space:]]*\[string\]$$/ This parameter is a string./g' \
+	    -e 's/[[:space:]]*\[boolean\]$$/ This parameter is a boolean./g' \
+	    -e 's/[[:space:]]*\[array\]$$/ This parameter is an array./g'> debian/uglifyjs.1
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),\
 		,\
-		NODE_PATH=lib nodejs test/run-tests.js)
+		NODE_PATH=lib nodejs test/run-tests.js \
+		$(if $(DEB_SUITE_EXP),|| true))
+	nodejs bin/uglifyjs \
+	  --self \
+	  --comments /Copyright/ \
+	  --output debian/uglify.js
 	touch $@
 common-post-build-indep::
 	rm -f lib/uglify-js
 clean::
 	rm -f lib/index.js lib/package.json
 	rm -f debian/stamp-build debian/uglifyjs.1
+	rm -f debian/uglify.js
 
 DEB_DH_INSTALL_ARGS_$(pkg) = package.json bin lib tools $(libdir)
+DEB_DH_INSTALL_ARGS_$(jspkg) = debian/uglify.js $(jslibdir)
 DEB_DH_LINK_$(pkg) = $(libdir)/bin/uglifyjs /usr/bin/uglifyjs
 DEB_INSTALL_DOCS_ALL += README.md
+
+binary-fixup/$(pkg)::
+	chmod a+x debian/$(pkg)/usr/lib/nodejs/uglify-js/bin/extract-props.js
