## uglifyjs 2.8.29

=== debian/changelog ===
uglifyjs (2.8.29-3) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from Uploaders: I have no intention of working on this
    package anymore.

  [ Jonas Smedegaard ]
  * Update copyright info: Use https protocol in file format URL.
  * Tighten lintian overrides regarding License-Reference.
  * Tighten and extend lintian overrides regarding false positives.
  * Use package section jacascript (not web).
  * Declare compliance with Debian Policy 4.1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Aug 2017 12:58:17 +0200

uglifyjs (2.8.29-2) unstable; urgency=medium

  [ Bastien Roucariès ]
  * Fix render help output.
    Closes: #847642). Thanks to Ben Finney.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.0.1.
  * Rename patch to follow naming micro policy.
  * Add DEP-3 patch header.
  * Advertise DEP3 format in patch headers.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 01:00:38 +0200

uglifyjs (2.8.29-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Tighten to track only 2.x.x.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Unfuzz patch 1001.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize git-buildpackage config: Filter any .git* file.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jun 2017 22:09:58 +0200

uglifyjs (2.8.22-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Use file format 4.
    + Use Github pattern.
    + Add usage comment.
  * Unfuzz patches.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
  * Update copyright info:
    + Extend copyright of packaging to cover recent years.
  * Update package relations:
    + Build-depend on and suggest node-acorn.
    + Stop build-depend on devscripts.
    + Stop (build-)depend on node-async.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Apr 2017 16:19:11 +0200
