=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: uglifyjs
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
- Antonio Terceiro <terceiro@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- licensecheck,
  debhelper,
  dh-buildinfo,
- node-async (>= 0.2.6),
  node-yargs,
+ node-acorn,
  mocha,
  node-escodegen,
  node-estraverse,
- node-source-map,
  help2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://lisperator.net/uglifyjs/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/uglifyjs.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/uglifyjs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/uglifyjs.git
 
 Package: node-uglify
