=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for UglifyJS
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,8 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = node-uglify
@@ -26,19 +24,17 @@
 jspkg = libjs-uglify
 jslibdir = /usr/share/javascript/uglifyjs
 
-DEB_UPSTREAM_URL = https://github.com/mishoo/UglifyJS2/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# Needed by upstream build process and (always) at runtime
-deps = node-async (>= 0.2.6), node-yargs
+# Needed by upstream build process and (always/seldom) at runtime
+deps = node-yargs
+deps-suggest = node-acorn
 
 # Needed by upstream testsuite
 bdeps-test = mocha, node-escodegen, node-estraverse
 
-CDBS_BUILD_DEPENDS +=, $(deps), $(bdeps-test)
+CDBS_BUILD_DEPENDS +=, $(deps), $(deps-suggest), $(bdeps-test)
 CDBS_DEPENDS_$(pkg) = nodejs, $(deps)
 CDBS_RECOMMENDS_$(pkg) = node-source-map
-CDBS_SUGGESTS_$(pkg) = node-uglify-to-browserify
+CDBS_SUGGESTS_$(pkg) = $(deps-suggest), node-uglify-to-browserify
 CDBS_PROVIDES_$(pkg) = uglifyjs
 
 # don't fail on experimental builds
