## uglifyjs 3.3.10

=== debian/changelog ===
uglifyjs (3.3.10-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#890395. Thanks to W. Martin Borgert.

  [ Jonas Smedegaard ]
  * Set experimental branches in git-buildpackage config.
  * Revert to watch file to track any upstream version.
  * Update package relations:
    + (Build-)depend on node-commander (not node-yargs).
    + Build-depend on node-semver.
    + Stop build-depend on node-escodegen node-estraverse.
    + Stop suggest node-uglify-to-browserify.
  * Drop patch 1003: Obsolete (code now uses commander, not yargs).
  * Unfuzz patches.
  * Update copyright file:
    + Extend coverage for upstream author to include recent years.
    + Strip superfluous copyright signs.
  * Stop fix executable: Obsolete (extract-props dropped upstream).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2018 20:23:59 +0100
