=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- node-yargs,
+ node-commander,
+ node-semver,
  node-acorn,
  mocha,
- node-escodegen,
- node-estraverse,
  help2man
 Standards-Version: 4.1.0
 Homepage: http://lisperator.net/uglifyjs/
