=== debian/rules ===
--- 
+++ 
@@ -25,16 +25,16 @@
 jslibdir = /usr/share/javascript/uglifyjs
 
 # Needed by upstream build process and (always/seldom) at runtime
-deps = node-yargs
+deps = node-commander, node-semver
 deps-suggest = node-acorn
 
 # Needed by upstream testsuite
-bdeps-test = mocha, node-escodegen, node-estraverse
+bdeps-test = mocha
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-suggest), $(bdeps-test)
 CDBS_DEPENDS_$(pkg) = nodejs, $(deps)
 CDBS_RECOMMENDS_$(pkg) = node-source-map
-CDBS_SUGGESTS_$(pkg) = $(deps-suggest), node-uglify-to-browserify
+CDBS_SUGGESTS_$(pkg) = $(deps-suggest)
 CDBS_PROVIDES_$(pkg) = uglifyjs
 
 # don't fail on experimental builds
@@ -69,6 +69,3 @@
 DEB_DH_INSTALL_ARGS_$(jspkg) = debian/uglify.js $(jslibdir)
 DEB_DH_LINK_$(pkg) = $(libdir)/bin/uglifyjs /usr/bin/uglifyjs
 DEB_INSTALL_DOCS_ALL += README.md
-
-binary-fixup/$(pkg)::
-	chmod a+x debian/$(pkg)/usr/lib/nodejs/uglify-js/bin/extract-props.js
