=== debian/watch ===
--- 
+++ 
@@ -2,4 +2,4 @@
 version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/mishoo/UglifyJS2/tags \
- (?:.*?/)?v?(2[\d.]*)\.tar\.gz debian
+ (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
